### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/analytichestonengine.hpp File Reference

analytic Heston-model engine More...

`#include <ql/math/integrals/integral.hpp>`
`#include <ql/math/integrals/gaussianquadratures.hpp>`
`#include <ql/pricingengines/genericmodelengine.hpp>`
`#include <ql/models/equity/hestonmodel.hpp>`
`#include <ql/instruments/vanillaoption.hpp>`
`#include <boost/function.hpp>`
`#include <complex>`
Include dependency graph for analytichestonengine.hpp:

## Classes

class | AnalyticHestonEngine
| analytic Heston-model engine based on Fourier transform More...

## Detailed Description

analytic Heston-model engine